
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>Varnish Installation &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Prerequisites" href="prerequisites.html" />
    <link rel="prev" title="Varnish Documentation" href="../index.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="prerequisites.html" title="Prerequisites"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="../index.html" title="Varnish Documentation"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Varnish Installation</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="varnish-installation">
<span id="install-index"></span><h1>Varnish Installation<a class="headerlink" href="#varnish-installation" title="Permalink to this headline">¶</a></h1>
<p>This section covers installation prerequisites, a step-by-step installation procedure, how and where
to get help, and how to report bugs. It also contains a set of platform specific notes to aid you when installing Varnish on certain platforms.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="prerequisites.html">Prerequisites</a></li>
<li class="toctree-l1"><a class="reference internal" href="install.html">Installing Varnish</a><ul>
<li class="toctree-l2"><a class="reference internal" href="install.html#source-or-packages">Source or packages?</a></li>
<li class="toctree-l2"><a class="reference internal" href="install.html#freebsd">FreeBSD</a></li>
<li class="toctree-l2"><a class="reference internal" href="install.html#red-hat-centos">Red Hat / CentOS</a></li>
<li class="toctree-l2"><a class="reference internal" href="install.html#debian-ubuntu">Debian/Ubuntu</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="install.html#compiling-varnish-from-source">Compiling Varnish from source</a><ul>
<li class="toctree-l2"><a class="reference internal" href="install.html#build-dependencies-on-debian-ubuntu">Build dependencies on Debian / Ubuntu</a></li>
<li class="toctree-l2"><a class="reference internal" href="install.html#build-dependencies-on-red-hat-centos">Build dependencies on Red Hat / CentOS</a></li>
<li class="toctree-l2"><a class="reference internal" href="install.html#build-dependencies-on-a-smartos-zone">Build dependencies on a SmartOS Zone</a></li>
<li class="toctree-l2"><a class="reference internal" href="install.html#building-on-solaris-and-other-solaris-ish-oses">Building on Solaris and other Solaris-ish OSes</a></li>
<li class="toctree-l2"><a class="reference internal" href="install.html#compiling-varnish">Compiling Varnish</a></li>
<li class="toctree-l2"><a class="reference internal" href="install.html#installing">Installing</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="install.html#next-steps">Next steps</a></li>
<li class="toctree-l1"><a class="reference internal" href="help.html">Getting help</a><ul>
<li class="toctree-l2"><a class="reference internal" href="help.html#irc-channel">IRC Channel</a></li>
<li class="toctree-l2"><a class="reference internal" href="help.html#mailing-lists">Mailing Lists</a></li>
<li class="toctree-l2"><a class="reference internal" href="help.html#trouble-tickets">Trouble Tickets</a></li>
<li class="toctree-l2"><a class="reference internal" href="help.html#commercial-support">Commercial Support</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="bugs.html">Reporting bugs</a><ul>
<li class="toctree-l2"><a class="reference internal" href="bugs.html#varnish-crashes">Varnish crashes</a></li>
<li class="toctree-l2"><a class="reference internal" href="bugs.html#varnish-goes-on-vacation">Varnish goes on vacation</a></li>
<li class="toctree-l2"><a class="reference internal" href="bugs.html#varnish-does-something-wrong">Varnish does something wrong</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="platformnotes.html">Platform specific notes</a><ul>
<li class="toctree-l2"><a class="reference internal" href="platformnotes.html#transparent-hugepages-on-redhat-enterprise-linux-6">Transparent hugepages on Redhat Enterprise Linux 6</a></li>
<li class="toctree-l2"><a class="reference internal" href="platformnotes.html#openvz">OpenVZ</a></li>
<li class="toctree-l2"><a class="reference internal" href="platformnotes.html#tcp-keep-alive-configuration">TCP keep-alive configuration</a></li>
</ul>
</li>
</ul>
</div>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="../index.html"
                        title="previous chapter">Varnish Documentation</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="prerequisites.html"
                        title="next chapter">Prerequisites</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/installation/index.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="prerequisites.html" title="Prerequisites"
             >next</a> |</li>
        <li class="right" >
          <a href="../index.html" title="Varnish Documentation"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Varnish Installation</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>